! Functiile: fk(u), dfk(u); ga(u,u'); dga(u,u')=dg/du; dga1(u,u')=dg/du'; p(t)
! Ecuatia van der Pol
function fk(u)
use work

implicit real(8) (a-h, o-z)

fk =k*u	! k=1

end function fk

function dfk(u)
! Derivata lui fk
use work

implicit real(8) (a-h, o-z)

dfk =k

end function dfk

!---------------------------------------------------------
function ga(u,v)
use work

implicit real(8) (a-h, o-z)

ga =-zeta*(1-u*u)*v		! lambda =zeta
end function ga


function dga(u,v)
! Derivata dga/du
use work

implicit real(8) (a-h, o-z)

dga =zeta*2*u*v

end function dga


function dga1(u,v)
! Derivata dga/dv
use work

implicit real(8) (a-h, o-z)

dga1 =-zeta*(1-u*u)

end function dga1

!---------------------------------------------------------

function p(t)
use work

implicit real(8) (a-h, o-z)

! Armonica:
p =p0*dcos(omp*t)

end function p



